<script lang="ts" setup>
  import { ParticipantsControlKey } from '~/helpers/injection';
  import { ParticipantState } from '~/logic/interfaces';

  const injection = inject(ParticipantsControlKey);

  defineProps<{
    participants: ParticipantState[];
  }>();

  const { isGuide } = useUser();
  const { checkParticipantIsClient } = useParticipants();
</script>

<template>
  <div v-if="participants.length">
    <p class="text-information-subdued text-sm">
      {{ $t('presentation.participants.notJoined') }}
    </p>

    <div class="flex flex-col">
      <Participant
        v-for="participant of participants"
        :key="participant.attendeeId"
        :participant="participant"
      >
        <template v-if="isGuide && checkParticipantIsClient(participant)" #settings>
          <button
            class="hover:bg-interactive-pressed rounded-2 px-2 py-1 text-left"
            @click="injection?.openStatistics(participant)"
          >
            {{ $t('presentation.participants.statistics') }}
          </button>

          <button
            class="hover:bg-interactive-pressed rounded-2 px-2 py-1 text-left"
            @click="injection?.actForUser(participant)"
          >
            {{ $t('presentation.participants.actForUser') }}
          </button>
        </template>
      </Participant>
    </div>
  </div>
</template>
